<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
	<body>
		<!-- created a container element used to group HTML elements -->
		<div id=header>
			<h1>HTML Table and Forms</h1>
		</div>

		<main>
			<section>
				<h2>HTML Entities</h2>
				<p>
					<em>
						Reserved characters in HTML (e.g. &lt; or &gt; or characters that can mix up woth HTML code).
					</em>
				</p>
				
				<!-- Defines a HTML table -->
				<!-- "border" attribute is used to set a visible border width -->
				<table border="1">
					<!--  Used to group table header content -->
					<thead>


						<!-- Difines a table row -->
						<tr> 
							<!-- Defines a table header -->
							<!-- "colespan" attribute defines the number of columns a table elemnt will occupy(counterpart in row: rowspan) -->
							<th colspan="2">Entity</th>
							<th>Description</th>
							
						</tr>
					</thead>
					<!-- used to group a table body -->
					<tbody>
						<tr>
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>
						<tr>
							<td>&quot;</td>
							<td>qout</td>
							<td>double quotation</td>
						</tr>
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark</td>
						</tr>
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>lower tilde</td>
						</tr><tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>upper tilde than</td>
						</tr>

					</tbody>

					<!-- Used to gour table footer content -->
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>

					</tfoot>

				</table>
			</section>
				<section>
					<h2>HTML Forms </h2>
					<p>
						<em>
							input elements make up a form.
						</em>

					</p>
					<!-- create an html form to capture user input -->
					<!-- action attr is used to define where the information will be sent upon submission. -->
					<form action="https://www.google.com">

						<!-- label and text input type -->
						<label for="full_name" required autocomplete>Full Name: </label><br>
						<input type="Text" name="full_name"id="full_name"><br>

						<!-- label and date input type -->
						<label for="birth_date">Birth Date:</label><br>
						<input type="date" name="birth_date" id="birth_date" required><br>

						<!-- label and number input -->
						<labelFor>Age</label><br>
						<input type="number" name="age" id="age" min="1" max="100" required><br>

						<!-- Create a option for dropdown -->
						<label for="gender">Gender:</label><br>
						<select name="gender" id="gender"><br>
							<!-- create option for the dropwdown -->
							<option value="male">Male</option>
							<option value="female">Female</option>

						</select>

						<!-- Create a larger text -->
						<label for="notes">Notes</label><br>
						<textarea name="notes" id="notes" rows="5"></textarea> <br>

						<!-- Create radio buttons input field -->

						<!-- n"ame attribute" should be the same for "related radio buttons" -->
						<label>New User:</label> <br>
						<input type="radio" name="new_user" id="user-type1" value="yes">
						<label for="user-type1">Yes</label> <br>

					
						<input type="radio" name="new_user" id="user-type2" value="no">
						<label for="user-type2">No</label> <br>

						<!-- Create checkboxes for multibple choices -->
						<label>Roles:</label> <br>

						<input type="checkbox" name="role1" id="role1" value="developer">
						<label for="role1">Developer</label> <br>

						<input type="checkbox" name="role2" id="role2" value="developer">
						<label for="role2">Student</label> <br>

						<input type="checkbox" name="role3" id="role3" value="developer">
						<label for="role2">Manager</label> <br>


						<!-- form button -->

						<br>
						<button type="submit">Submit</button>
						<button type="reset">Reset</button>


					
					</form>

				</section>
			
		</main>


		

		<table></table>

	</body>

</html>